﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System.IO;
using System.Data.SqlServerCe;
using System.Linq;

namespace WF_TreeNavigatorDirectory
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            dataBaseView = GetOrderDetials();
            this.treeNavigator1.SelectionChanged += TreeNavigator1_SelectionChanged;
        }

        private void TreeNavigator1_SelectionChanged(TreeNavigator sender, SelectionStateChangedEventArgs e)
        {
            TreenavigatorItemsUpdate(treeNavigator1, e);
        }
        private void TreenavigatorItemsUpdate(TreeNavigator sender, SelectionStateChangedEventArgs e)
        {
            TreeNavigator tree = sender as TreeNavigator;
            dataBaseView.Table.Rows.Cast<DataRow>().ToList().ForEach(x =>
               {
                   if (dataBaseView.Table.Columns.Contains(e.SelectedItem.Text))
                       e.SelectedItem.Items.Add(new TreeMenuItem() { Text = x[dataBaseView.Table.Columns[e.SelectedItem.Text]].ToString() });
               });
           
        }
        DataView dataBaseView;
   
        private void button1_Click(object sender, EventArgs e)
        {
            this.treeNavigator1.Visible = true;
            FillItems(this.treeNavigator1);
        }
        private void FillItems(TreeNavigator tree)
        {
          foreach(DataColumn col in dataBaseView.Table.Columns)
            {
                this.treeNavigator1.Items.Add(new TreeMenuItem() { Text = col.ColumnName });
            }
        }

        private static DataView GetOrderDetials()
        {
            try
            {
                DataSet ds = new DataSet();
                using (SqlCeConnection con = new SqlCeConnection(@"DataSource=Data\Northwind.sdf"))
                {
                    con.Open();
                    SqlCeCommand cmd = new SqlCeCommand(@"SELECT Top(20) [Order ID], [Product ID], [ColumnName], [Unit Price], Quantity
                                                          FROM [Order Details] ", con);
                    SqlCeDataAdapter da = new SqlCeDataAdapter(cmd);


                    da.Fill(ds);

                    //Creation of DataView
                    DataView dataView = new DataView(ds.Tables[0], "[Unit Price] >= 20", "[Order ID]", DataViewRowState.CurrentRows);
                    return dataView;
                }


            }
            catch (Exception e)
            {
                MessageBox.Show("Exception in connection: \t" + e.Message);
                return null;
            }
        }
    }
}
